## shell-script-helper 1.5

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	$(INSTALL) -d $(DESTDIR)/lib
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man3
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man5
	$(INSTALL) -m 644 lib/* $(DESTDIR)/lib
	ln -s shell-script-helper $(DESTDIR)/lib/raph-shell-functions
	$(INSTALL) bin/* $(DESTDIR)/usr/bin
	ln -s shell-script-helper-template $(DESTDIR)/usr/bin/create-raph-shell-script
	$(INSTALL) -m 644 man/*.1 $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -m 644 man/*.3 $(DESTDIR)/usr/share/man/man3
	$(INSTALL) -m 644 man/*.5 $(DESTDIR)/usr/share/man/man5

clean:

=== debian/changelog ===
shell-script-helper (1.5-1) unstable; urgency=medium

  * New upstream release
    - Don't die when script name contains spaces

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 10 Apr 2016 09:52:05 +0200

shell-script-helper (1.4-2) unstable; urgency=medium

  * Add maintainer scripts to handle the doc symlink switch

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 05 Apr 2016 06:14:35 +0200

shell-script-helper (1.4-1) unstable; urgency=medium

  * New upstream release
    - Change project name
  * Modified files for new project name
  * Move script in a separate package

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 02 Apr 2016 05:12:47 +0200

raph-shell-functions (1.3-1) unstable; urgency=medium

  * New upstream release
    - raph-shell-functions: dissociate debug and verbose
    - Minor changes
    - Cosmetic changes

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 01 Apr 2016 18:31:28 +0200

raph-shell-functions (1.2-1) unstable; urgency=medium

  * New upstream release
    - Mostly cosmetic changes

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 28 Mar 2016 05:49:01 +0200

raph-shell-functions (1.1-1) unstable; urgency=medium

  * New upstream release
    - raph-shell-functions:
      + delete_files now outputs debug instead
      + print_* now accept more than one string
      + die now use a default message if none given
    - create-raph-shell-script:
      + add script description as optional second argument
      + add check for spaces in script name

  * Remove obsolete lintian override "new-package-should-close-itp-bug"
  * Fix debian/watch

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 27 Mar 2016 20:26:02 +0200

raph-shell-functions (1.0-1) unstable; urgency=low

  * Initial release

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 25 Mar 2016 01:29:04 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_installdocs:
	dh_installdocs --link-doc shell-script-helper

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%shell-script-helper-$1.tar.gz%" \
   https://github.com/MoonSweep/shell-script-helper/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## shell-script-helper 1.6

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man3
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man5
	$(INSTALL) -m 644 lib/* $(DESTDIR)/usr/lib
	$(INSTALL) bin/* $(DESTDIR)/usr/bin
	$(INSTALL) -m 644 man/*.1 $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -m 644 man/*.3 $(DESTDIR)/usr/share/man/man3
	$(INSTALL) -m 644 man/*.5 $(DESTDIR)/usr/share/man/man5

clean:

=== debian/changelog ===
shell-script-helper (1.6-1) unstable; urgency=medium

  * New upstream release 1.6
  * [9b7ac65] shell-script-helper: change comments & re-order functions
  * [92fa030] README.md: change MarkDown code
  * [50e71e1] Install in /usr
  * [3831c2c] Remove backward compatibility symlinks
  * [f280227] Update copyright years
  * [f84a39b] Update version

  * Packaging:
  * [429d3c6] Install library in /usr for DEP-17
  * [2d96192] debian/control: remove obsolete breaks and transitional package
  * [7102d0f] debian/copyright: update copyright years
  * [c626d18] debian/rules: remove useless comments
  * [eabea60] debian/watch: update to latest syntax
  * [99247e9] Bump debhelper compatibility level to 13
  * [78999da] Bump Standards-Version to 4.7.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 09 Aug 2024 13:40:03 +0200

=== debian/control ===
Source: shell-script-helper
Section: utils
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper-compat (=13)
Standards-Version: 4.7.0
Homepage: https://github.com/MoonSweep/shell-script-helper
Vcs-Browser: https://github.com/MoonSweep/shell-script-helper.git
Vcs-Git: https://github.com/MoonSweep/shell-script-helper.git

Package: shell-script-helper
Architecture: all
Depends: ${misc:Depends}
Description: Shell library - collection of functions commonly used in scripts
 This is a collection of shell functions commonly used in scripts (like
 checking if the script is run as root, ensuring that only one instance is
 running at the same time, print some messages only in verbose mode...),
 gathered in a single file that can be sourced at the beginning of a script.
 It allows one to easily write neat, powerful and (to some degree) error-prone
 shell scripts without reinventing the wheel each time.

Package: shell-script-helper-bin
Architecture: all
Depends: shell-script-helper, ${misc:Depends}
Description: Tool to create templates for scripts that use shell-script-helper
 This package contains a tool to create templates for scripts that use the
 shell-script-helper library. It allows one to easily kickstart the creation of
 such scripts and their associated manpages.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ 

override_dh_installdocs:
	dh_installdocs --link-doc shell-script-helper

=== debian/watch ===
# watch control file for uscan.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%shell-script-helper-$1%" \
    https://github.com/MoonSweep/shell-script-helper/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@ debian
